import mqtt.*;

MQTTClient client;
boolean mouseMoved = false;
   
void setup() {
  size(360, 100);
  client = new MQTTClient(this);
  client.connect("mqtt://try:try@broker.shiftr.io", "processing");
  frameRate(60); 
}

void draw() {
  background(0);
  // anglge: remember that the lynx motion usese 10ths of degree 
  int angle = floor(map(mouseX, 0, width, 0, 3600));
  if (mouseMoved) {
    client.publish("/position", ""+angle);
    mouseMoved = false;
  }
  text(angle/10+" degrees", mouseX, height/2);
}

void mouseMoved() {
  mouseMoved = true;
}

void clientConnected() {
  println("client connected");
  // client.subscribe("/hello");
}

void messageReceived(String topic, byte[] payload) {
  println("new message: " + topic + " - " + new String(payload));
}

void connectionLost() {
  println("connection lost");
}
